Name: 		kparted
Version: 	0.4.5
Release: 	1
Copyright: 	GPL
Summary: 	KDE
Group: 		KDE
URL:		http://qtparted.sourceforge.net/
Source: 	qtparted-%{version}.tar.bz2
Patch0:		qtparted-parted1.7.patch
Patch1:		qtparted-0.4.5-fix-automake.patch
Patch2:		qtparted.desktop.diff
BuildRequires:  parted-devel
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
K Desktop Environment.
A KPartEd is a GUI disk partitioning utility for KDE and Qt/Embedded. The partition 
management is handled using libparted with KPartEd providing an easy to use front end. 
The partition types currently supported are: ext2, FAT (including VFAT and FAT32), 
linux swap, HFS, NTFS and ReiserFS. See the parted documentation for details of the 
level of support for the different file systems.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n qtparted*
%patch0 -p1 -b .parted1.7
%patch1
%patch2

%build
make -f admin/Makefile.common
configure --prefix=/opt/kde \
	  --host=i386-pc-linux-gnu \
          --build=i386-pc-linux-gnu \
	  --sysconfdir=/etc \
          --disable-debug \
	  --disable-nls \
	  --without-included-gettext \
          --disable-final \
	  --with-xinerama \
	  --with-extra-libs=/usr/lib \
	  --with-extra-includes=/usr/include \
          --with-install-root=$RPM_BUILD_ROOT \
	  --enable-audio=oss,esd \
	  --enable-tcltk \
	  --with-tcltk \
	  --with-tclx=/usr/lib

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT$KDEDIR/sbin $RPM_BUILD_ROOT$KDEDIR/bin
rm -r $RPM_BUILD_ROOT$KDEDIR/share/{man,pixmaps}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
